Your message dated Wed, 11 Mar 2009 12:17:05 +0000
with message-id <e1lhnmv-000510...@ries.debian.org>
and subject line Bug#518838: fixed in kipi-plugins 0.1.7-3
has caused the Debian Bug report #518838,
regarding kipi-plugins: Doesn't build with libgpod targeted for unstable
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
518838: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=518838
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: kipi-plugins
Version: 0.1.7-2
Severity: important

libgpod 0.7.0 is ready to be uploaded to unstable. kipi-plugins
in unstable doesn't build with this new version:
/tmp/buildd/kipi-plugins-0.1.7/./kipi-plugins/ipodexport/ipodexportdialog.cpp: 
In member function 'void 
IpodExport::UploadDialog::ipodItemSelected(QListViewItem*)':
/tmp/buildd/kipi-plugins-0.1.7/./kipi-plugins/ipodexport/ipodexportdialog.cpp:347:
 
error: 'ITDB_THUMB_PHOTO_SMALL' was not declared in this scope
/tmp/buildd/kipi-plugins-0.1.7/./kipi-plugins/ipodexport/ipodexportdialog.cpp:347:
 
error: 'itdb_artwork_get_thumb_by_type' was not declared in this scope

The following patch seems to fix that, but requires to change the
dependency from libgpod-nogtk to libgpod:
(Patch found by Adeodato Simó)

diff -u kipi-plugins-0.1.7/debian/control kipi-plugins-0.1.7/debian/control
--- kipi-plugins-0.1.7/debian/control
+++ kipi-plugins-0.1.7/debian/control
@@ -4,7 +4,7 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <m...@debian.org>, Achim Bohnet <a...@mpe.mpg.de>, 
Fathi Boudra <f...@debian.org>
 Build-Depends: cdbs, debhelper (>= 5), pkg-config, kdelibs4-dev,
- libexiv2-dev (>= 0.16), libgphoto2-2-dev, libgpod-nogtk-dev,
+ libexiv2-dev (>= 0.16), libgphoto2-2-dev, libgpod-dev,
  libkcal2-dev, libkdcraw-dev (>= 0.1.4), libkexiv2-dev (>= 0.1.6),
  libkipi0-dev (>= 0.1.5), libltdl3-dev, libtiff4-dev, libxslt1-dev
 Standards-Version: 3.8.0
--- kipi-plugins-0.1.7.orig/debian/patches/30_kipi_new_libgpod.diff
+++ kipi-plugins-0.1.7/debian/patches/30_kipi_new_libgpod.diff
@@ -0,0 +1,42 @@
+This comes from http://websvn.kde.org/?view=rev&revision=918089.
+
+--- kipi-plugins-0.1.7-2/kipi-plugins/ipodexport/ipodexportdialog.cpp~ 
2009-03-08 21:50:26.000000000 +0100
++++ kipi-plugins-0.1.7-2/kipi-plugins/ipodexport/ipodexportdialog.cpp  
2009-03-08 21:51:55.000000000 +0100
+@@ -11,6 +11,11 @@
+  *                                                                         *
+  ***************************************************************************/
+ 
++// System Includes
++extern "C" {
++#include <gdk-pixbuf/gdk-pixbuf.h>
++}
++
+ #include "ipodheader.h"
+ #include "imagelist.h"
+ #include "imagelistitem.h"
+@@ -344,9 +349,13 @@
+         return;
+ 
+     Itdb_Artwork *artwork = item->artwork();
+-    Itdb_Thumb *thumb = itdb_artwork_get_thumb_by_type( artwork, 
ITDB_THUMB_PHOTO_SMALL );
++    GdkPixbuf *gpixbuf = NULL;
++    
++    // First arg in itdb_artwork_get_pixbuf(...) is pointer to Itdb_Device 
struct,
++    // in kipiplugin-ipodexport it is m_itdb->device. i hope it _is_ 
initialiezed
++    gpixbuf = (GdkPixbuf*) itdb_artwork_get_pixbuf( m_itdb->device, artwork, 
-1, -1 );
+ 
+-    if( !thumb )
++    if( !gpixbuf )
+     {
+         debug() << "no thumb was found" << endl;
+         return;
+@@ -361,6 +370,9 @@
+ //     QPixmap pix;
+ //     pix.convertFromImage( image );
+ //     m_ipodPreview->setPixmap( pix );
++    
++    // memory release
++    gdk_pixbuf_unref ( gpixbuf );
+ }
+ 
+ void


-- System Information:
Debian Release: 5.0
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash



--- End Message ---
--- Begin Message ---
Source: kipi-plugins
Source-Version: 0.1.7-3

We believe that the bug you reported is fixed in the latest version of
kipi-plugins, which is due to be installed in the Debian FTP archive:

kipi-plugins-doc_0.1.7-3_all.deb
  to pool/main/k/kipi-plugins/kipi-plugins-doc_0.1.7-3_all.deb
kipi-plugins_0.1.7-3.diff.gz
  to pool/main/k/kipi-plugins/kipi-plugins_0.1.7-3.diff.gz
kipi-plugins_0.1.7-3.dsc
  to pool/main/k/kipi-plugins/kipi-plugins_0.1.7-3.dsc
kipi-plugins_0.1.7-3_i386.deb
  to pool/main/k/kipi-plugins/kipi-plugins_0.1.7-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 518...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Purcell <m...@debian.org> (supplier of updated kipi-plugins package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 11 Mar 2009 22:45:39 +1100
Source: kipi-plugins
Binary: kipi-plugins kipi-plugins-doc
Architecture: source all i386
Version: 0.1.7-3
Distribution: unstable
Urgency: low
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Changed-By: Mark Purcell <m...@debian.org>
Description: 
 kipi-plugins - image manipulation/handling plugins for KIPI aware programs
 kipi-plugins-doc - kipi-plugins documentation
Closes: 518838
Changes: 
 kipi-plugins (0.1.7-3) unstable; urgency=low
 .
   * Fix "Doesn't build with libgpod/0.7.0" (Closes: #518838)
     - Add 30_kipi_libgpod7.diff from dato
     - Add Build-Depends: libgpod-dev (>= 0.7.0)
Checksums-Sha1: 
 7364b7dfec9a890b9e686712ef5c07bce9d28549 1567 kipi-plugins_0.1.7-3.dsc
 eba8e77eb543d092826b50410fcc34c59861988d 15445 kipi-plugins_0.1.7-3.diff.gz
 26b5d3a91a428a3f6fdf39266f4dac1f29f9120e 5826908 
kipi-plugins-doc_0.1.7-3_all.deb
 e04fe90d6d4c6b60430cbbccdb41b33d699e6ffd 3895440 kipi-plugins_0.1.7-3_i386.deb
Checksums-Sha256: 
 25324e32afb513f5ca9e3f6da504de363c0497450ef66a2a1a08d2997a6c090d 1567 
kipi-plugins_0.1.7-3.dsc
 51825b0394d5382fb8709c1e101ef55c40efbdcbc7a834d0884262bb09f6df5a 15445 
kipi-plugins_0.1.7-3.diff.gz
 368a86537770b5c94136e788429183b0887a5217eec0885017b533a57ab2ce43 5826908 
kipi-plugins-doc_0.1.7-3_all.deb
 c426742589f82b2bc93b58ee4fb9bba0082f3985bd7776c838398f248231943a 3895440 
kipi-plugins_0.1.7-3_i386.deb
Files: 
 ea2d477c29cc6656504ce8451973c914 1567 kde optional kipi-plugins_0.1.7-3.dsc
 08472d25af148b9808e25ca4f0fce4a0 15445 kde optional 
kipi-plugins_0.1.7-3.diff.gz
 4cb42821673c8cb7e4be24f675c65468 5826908 doc optional 
kipi-plugins-doc_0.1.7-3_all.deb
 6fd2cebd55fe1189bef57bf811e06ed8 3895440 kde optional 
kipi-plugins_0.1.7-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkm3piEACgkQoCzanz0IthJKJgCfcg1SNweS9Nv0o1m3pYF+y5XR
EmUAoI5B7eHBa84GIbkwF/7U9bPE2YYZ
=Ja3J
-----END PGP SIGNATURE-----



--- End Message ---
_______________________________________________
pkg-kde-extras mailing list
pkg-kde-extras@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-kde-extras

Reply via email to